=== debian/changelog ===
ros-kinetic-moveit-planners-chomp (0.9.18-1xenial) xenial; urgency=high

  * [fix] Add missing tf dependency in chomp packages
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.17-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Cleanup Chomp packages (#1282 <https://github.com/ros-planning/moveit/issues/1282>)
  * Contributors: Michael Görner, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.15-1xenial) xenial; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.14-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.13-1xenial) xenial; urgency=high

  * [fix] chomp tests: fix order of moveit includes (#970 <https://github.com/ros-planning/moveit/issues/970>)
  * [fix] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Chris Lalancette, Michael Görner, Mikael Arguedas, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.12-1xenial) xenial; urgency=high

  * [fix] dependencies for chomp interface test (#778 <https://github.com/ros-planning/moveit/issues/778>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Stephan, Will Baker

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.11-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.10-1xenial) xenial; urgency=high

  * [package.xml] Update maintainers (Add a release-maintainer etc.)
    For the reasoning, see https://github.com/ros-planning/moveit/issues/259
  * Contributors: Isaac I.Y. Saito

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.9-1xenial) xenial; urgency=high

  * [improve] Chomp use PlanningScene (#546 <https://github.com/ros-planning/moveit/issues/546>) to partially address #305 <https://github.com/ros-planning/moveit/issues/305>
  * Contributors: Simon Schmeisser

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.8-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.7-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.6-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 11 Apr 2017 22:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.5-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Mar 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.4-1xenial) xenial; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 05 Feb 2017 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.3-1xenial) xenial; urgency=high

  * Merge pull request #330 <https://github.com/ros-planning/moveit/issues/330> from davetcoleman/kinetic-package.xml
    Updated package.xml maintainers and author emails
  * Updated package.xml maintainers and author emails
  * Contributors: Dave Coleman, Ian McMahon

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 15 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.2-1xenial) xenial; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Nov 2016 23:00:00 -0000

ros-kinetic-moveit-planners-chomp (0.9.0-1xenial) xenial; urgency=high

  * Replace broken Eigen3 with correctly spelled EIGEN3 (#254 <https://github.com/ros-planning/moveit/issues/254>)
    * Fix Eigen3 dependency throughout packages
    * Eigen 3.2 does not provide EIGEN3_INCLUDE_DIRS, only EIGEN3_INCLUDE_DIR
  * Use shared_ptr typedefs in collision_distance_field and chomp.
  * Fix CHOMP planner and CollisionDistanceField (#155 <https://github.com/ros-planning/moveit/issues/155>)
    * Copy collision_distance_field package
    * Resurrect chomp
    * remove some old Makefiles and manifests
    * Correct various errors
    * Code formatting, author, description, version, etc
    * Add definitions for c++11. Nested templates problem.
    * Add name to planner plugin.
    * Change getJointModels to getActiveJointModels.
    * Call robot_state::RobotState::update in setRobotStateFromPoint.
    * Create README.md

