=== debian/control ===
Source: ros-kinetic-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-chomp-motion-planner, ros-kinetic-moveit-core, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-tf
Description: The interface for using CHOMP within MoveIt!
